-- $Id: stat.ts,v 1.1 1998/11/27 17:33:52 cap Exp $
-- Test suite for stat.pkg

Alias TSL := $cocoa/ts/ts_lib;
TSL.Initialize();

/*
<< 'lib/contrib/caboara/stat.pkg';
TSL.Do();
*/

Alias Stat := $contrib/caboara/stat;


-------------------------------
-- TEST 01 : 

Test := Record[Id = 1, Descr = 'StatEx_1'];

Test.Input :="
Alias S := $contrib/caboara/stat;
Use R1::=Q[x,y,z,t],DegRevLex; 
D:=[1,1,1];
Starts:=[0,0,0];
Design:=Stat.FD([x,y,z],D);-- Making the terms associated to the design.
Cut:=[xy,xz,yz];
O:=Stat.FFD(Design,Cut); 
ParNo:=Stat.MakeParNo(Cut,O);-- computing the number of necessary parameters
Equations:=Stat.FDEQ([x,y,z],D,Starts);-- Generates the equations of I(Design)
Stat.BuildParamRing('W',Indets(),'a',ParNo);
Use W;
Map_R_To_W:=RMap(First(Indets(),NumIndets(R)));
Design:=Image(Design,Map_R_To_W);
Cut:=Image(Cut,Map_R_To_W);
Equations:=Image(Equations,Map_R_To_W);
O:=Image(O,Map_R_To_W);
GenericEQ:=Stat.Fill(Cut,O);
Rel:=Stat.NewBuch(Equations,GenericEQ);
ParameterSol:=Stat.Solve(Rel);
Pts:=Stat.Points(Concat(Equations,GenericEQ),ParameterSol);
Pt:=Stat.Point(Concat(Equations,GenericEQ),ParameterSol[1]);
Pts[34]=[[0, 0, 0], [0, 1, 0], [1, 1, 0], [1, 1, 1]];
Rel[22]=a[10]a[11] + a[3]a[12] - a[9];

";

Test.ExpectedOutput := 
"Ring W built
-------------------------------
........
Buch done, computing relations
Relations computed

-------------------------------
..............................................................................................................................................................................................................................................................
-------------------------------
........................................................................................................................................................................................................................................
-------------------------------
....

-------------------------------
TRUE
-------------------------------
TRUE
-------------------------------
";

TSL.RegisterTest(Test);



Pts[34]=[[0, 0, 0], [0, 1, 0], [1, 1, 0], [1, 1, 1]]

Rel[22]=a[10]a[11] + a[3]a[12] - a[9]


Rel=

[a[3]a[4] + a[2]a[8] - a[1], a[3]^2 + a[2]a[7] + a[3], a[2]a[3] + a[2]a[6] +
a[2], a[1]a[3] + a[2]a[5] + a[1], a[4]^2 + a[2]a[12] + a[4], a[3]a[4] +
a[2]a[11] - a[1],
 a[2]a[4] + a[2]a[10] + a[2], a[1]a[4] + a[2]a[9] + a[1],
a[4]a[7] + a[6]a[8] - a[5], a[3]a[7] + a[6]a[7] + a[7], a[6]^2 + a[2]a[7] +
a[6], a[5]a[6] + a[1]a[7] + a[5], a[8]^2 + a[7]a[12] + a[8], a[7]a[8] +
a[7]a[11] + a[7], a[6]a[8] + a[7]a[10] - a[5], a[5]a[8] + a[7]a[9] + a[5],
-a[3]a[12] + a[6]a[12], -a[4]a[7] + a[3]a[8] - a[3]a[11] + a[6]a[11] - a[5] -
a[7], -a[4]a[6] + a[2]a[8] - a[3]a[10] + a[6]a[10] + a[1] + a[2], -a[4]a[5] +
a[1]a[8] - a[3]a[9] + a[6]a[9],
 a[4]a[12] + a[10]a[12] + a[12], a[10]a[11] +
a[3]a[12] - a[9], a[10]^2 + a[2]a[12] + a[10], a[9]a[10] + a[1]a[12] + a[9],
a[8]a[12] + a[11]a[12] + a[12], a[11]^2 + a[7]a[12] + a[11], a[10]a[11] +
a[6]a[12] - a[9],
 a[9]a[11] + a[5]a[12] + a[9], -a[4]a[8] + a[8]a[10] +
a[4]a[11] - a[3]a[12] - a[9] - a[12], -a[4]a[7] + a[7]a[10], -a[4]a[6] -
a[3]a[10] + a[6]a[10] + a[2]a[11] + a[1] + a[2], -a[4]a[5] - a[3]a[9] +
a[5]a[10] + a[1]a[11]];

Pts=[[[1, 0, 0], [0, 1, 0], [0, 0, 1], [0, 1, 1]], [[1, 0, 0], [0, 1, 0], [1, 0,
1], [1, 1, 1]], [[1, 0, 0], [1, 1, 0], [0, 0, 1], [1, 1, 1]], [[0, 0, 0], [0,
1, 0], [0, 0, 1], [1, 1, 1]], [[1, 1, 0], [1, 0, 1], [0, 1, 1], [1, 1, 1]],
[[1, 1, 0], [0, 0, 1], [0, 1, 1], [1, 1, 1]], [[1, 1, 0], [0, 0, 1], [1, 0, 1],
[1, 1, 1]], [[1, 1, 0], [0, 0, 1], [1, 0, 1], [0, 1, 1]], [[0, 1, 0], [1, 0,
1],
 [0, 1, 1], [1, 1, 1]], [[0, 1, 0], [0, 0, 1], [0, 1, 1], [1, 1, 1]], [[0,
1, 0], [0, 0, 1], [1, 0, 1], [1, 1, 1]], [[0, 1, 0], [0, 0, 1], [1, 0, 1], [0,
1, 1]], [[0, 1, 0], [1, 1, 0], [0, 0, 1], [1, 1, 1]], [[0, 1, 0], [1, 1, 0],
[1, 0, 1], [1, 1, 1]], [[0, 1, 0], [1, 1, 0], [0, 0, 1], [0, 1, 1]], [[0, 1,
0], [1, 1, 0], [1, 0, 1], [0, 1, 1]], [[1, 0, 0], [1, 0, 1], [0, 1, 1], [1, 1,
1]], [[1, 0, 0], [0, 0, 1], [0, 1, 1], [1, 1, 1]], [[1, 0, 0], [0, 0, 1], [1,
0, 1],
 [1, 1, 1]], [[1, 0, 0], [0, 0, 1], [1, 0, 1], [0, 1, 1]], [[0, 0, 0],
[1, 0, 1], [0, 1, 1], [1, 1, 1]], [[0, 0, 0], [0, 0, 1], [0, 1, 1], [1, 1, 1]],
[[0, 0, 0], [0, 0, 1], [1, 0, 1], [1, 1, 1]], [[0, 0, 0], [0, 0, 1], [1, 0, 1],
[0, 1, 1]], [[0, 0, 0], [1, 0, 0], [0, 0, 1], [1, 1, 1]], [[0, 0, 0], [1, 0,
0], [1, 0, 1], [1, 1, 1]], [[0, 0, 0], [1, 0, 0], [0, 0, 1], [0, 1, 1]], [[0,
0, 0], [1, 0, 0], [1, 0, 1], [0, 1, 1]], [[1, 0, 0], [0, 1, 0], [0, 1, 1], [1,
1, 1]], [[1, 0, 0], [1, 1, 0], [0, 1, 1], [1, 1, 1]], [[0, 0, 0], [0, 1, 0],
[0, 1, 1], [1, 1, 1]], [[0, 0, 0], [1, 1, 0], [0, 1, 1], [1, 1, 1]], [[1, 0,
0], [0, 1, 0], [1, 1, 0], [1, 1, 1]], [[0, 0, 0], [0, 1, 0], [1, 1, 0], [1, 1,
1]], [[0, 0, 0], [1, 0, 0], [1, 1, 0], [1, 1, 1]], [[0, 0, 0], [1, 0, 0], [0,
1, 0], [1, 1, 1]], [[1, 0, 0], [0, 1, 0], [1, 1, 0], [0, 1, 1]], [[0, 0, 0],
[0, 1, 0], [1, 1, 0],
 [0, 1, 1]], [[0, 0, 0], [1, 0, 0], [1, 1, 0], [0, 1, 1]],
[[0, 0, 0], [1, 0, 0], [0, 1, 0], [0, 1, 1]], [[1, 0, 0], [0, 1, 0], [0, 0, 1],
[1, 0, 1]], [[1, 0, 0], [1, 1, 0], [0, 0, 1], [1, 0, 1]], [[0, 0, 0], [0, 1,
0], [0, 0, 1], [1, 0, 1]], [[0, 0, 0], [1, 1, 0], [0, 0, 1], [1, 0, 1]], [[1,
0, 0], [0, 1, 0], [1, 1, 0], [1, 0, 1]], [[0, 0, 0], [0, 1, 0], [1, 1, 0], [1,
0, 1]], [[0, 0, 0], [1, 0, 0], [1, 1, 0], [1, 0, 1]], [[0, 0, 0], [1, 0, 0],
[0, 1, 0], [1, 0, 1]], [[1, 0, 0], [0, 1, 0], [1, 1, 0], [0, 0, 1]], [[0, 0,
0],
 [0, 1, 0], [1, 1, 0], [0, 0, 1]], [[0, 0, 0], [1, 0, 0], [1, 1, 0], [0, 0,
1]], [[0, 0, 0], [1, 0, 0], [0, 1, 0], [0, 0, 1]], [[0, 0, 0], [1, 1, 0], [1,
0, 1], [1, 1, 1]], [[0, 0, 0], [1, 1, 0], [0, 0, 1], [0, 1, 1]], [[0, 0, 0],
[0, 1, 0], [1, 0, 1], [0, 1, 1]], [[1, 0, 0], [1, 1, 0], [1, 0, 1], [0, 1, 1]],
[[1, 0, 0], [0, 1, 0], [0, 0, 1], [1, 1, 1]], [[0, 0, 0], [1, 1, 0], [1, 0, 1],
[0, 1, 1]]];
